#include<stdio.h>
int main(){
	unsigned long n,m,b;
	
	scanf("%lu%lu",&n,&m);
	
	if(m>1 && n>1){
		b=2*(m+n-2)+(m-2)*(n-2)/2;
	
		printf("%lu",b);
	}
	
	else if(m==1)
	printf("%lu",n);
	
	else if(n==1)
	printf("%lu",m);
	
	else if(n==1 && m==1)
	printf("%lu",n);
}